Bug 1092136 - Docker commands pause streaming audio [NEEDINFO]
Summary: Docker commands pause streaming audio
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 20
Hardware: x86_64
OS: Linux
medium
low
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-28 19:34 UTC by Matthew Davis
Modified: 2015-04-28 18:23 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-04-28 18:23:00 UTC
Type: Bug
kernel-team: needinfo?


Attachments (Terms of Use)

Description Matthew Davis 2014-04-28 19:34:35 UTC
Description of problem:

Execution of docker commands cause streaming audio to pause briefly (3-4 seconds)


Version-Release number of selected component (if applicable):

[root@dhcp81-173 ~]# rpm -q docker-io firefox flash-plugin
docker-io-0.9.1-1.fc20.x86_64
firefox-28.0-3.fc20.x86_64
flash-plugin-11.2.202.350-release.x86_64

[root@dhcp81-173 ~]# uname -s -r -v -m
Linux 3.13.10-200.fc20.x86_64 #1 SMP Mon Apr 14 20:34:16 UTC 2014 x86_64



How reproducible:
Nearly every docker command does this.

Steps to Reproduce:
1. Start up firefox and start listening to a streaming audio service (I reproduced it on spotify.com, using the spotify web player)
2. Run a docker command. For example...

[root@dhcp81-173 ~]# docker images
REPOSITORY                     TAG                 IMAGE ID            CREATED             VIRTUAL SIZE
10.3.76.138:5000/rhel6-base    latest              60f3b7e9ba33        6 weeks ago         1.437 GB
rhel6-base                     latest              60f3b7e9ba33        6 weeks ago         1.437 GB
10.3.76.138:5000/rhel7b-base   latest              b96a0bc033bb        8 weeks ago         827.9 MB
fedora                         rawhide             0d20aec6529d        12 weeks ago        387 MB
fedora                         20                  58394af37342        12 weeks ago        385.5 MB
fedora                         heisenbug           58394af37342        12 weeks ago        385.5 MB
fedora                         latest              58394af37342        12 weeks ago        385.5 MB
busybox                        latest              769b9341d937        12 weeks ago        2.489 MB
[root@dhcp81-173 ~]# docker run 0d2  id
uid=0(root) gid=0(root) groups=0(root)
[root@dhcp81-173 ~]# 


Actual results:

Currently playing audio paused for 3 seconds after running the 'id' command.

Expected results:

Uninterrupted audio playing

Additional info:

I'm running Fedora 20 XFCE build.

Comment 1 Daniel Walsh 2014-05-28 16:39:02 UTC
Are you still seeing this with the latest docker program?

Comment 2 Matthew Davis 2014-05-28 17:23:32 UTC
Unfortunatly, I am.

It takes ~4-5 seconds for the delay to kick in, then it is paused for ~2.

[root@dhcp81-173 ~]# time docker run 60 id
uid=0(root) gid=0(root) groups=0(root) context=system_u:system_r:docker_t:s0

real    0m1.692s
user    0m0.013s
sys     0m0.011s
[root@dhcp81-173 ~]# rpm -q docker-io
docker-io-0.11.1-1.fc20.x86_64
[root@dhcp81-173 ~]#

Comment 3 Daniel Walsh 2014-05-28 22:38:54 UTC
I wonder what could cause this?  Does your CPU go nuts when starting the docker container?

Might be a kernel issue.

Comment 4 Alexander Larsson 2014-06-12 15:29:25 UTC
Does it happen with all docker base images?
Does it happen in another desktop environment?

Comment 5 Matthew Davis 2014-06-18 19:56:31 UTC
Here a 'vmstat 1' of the execution.

procs -----------memory---------- ---swap-- -----io---- -system-- ----cpu----

<- execute docker run 60 id ->

 0  2   9384 453036 291456 3760624  596    0  1332   312 3655 7835  9  2 76 14
 1  0   9384 444072 292660 3766640    0    0  7121  2640 2753 7870  8  3 66 23
 0  3   9384 432688 291960 3772812   56    0  7381   720 4456 8987  8  6 68 18
 8  0   9384 422284 291748 3779340   12    0  8840  2384 4320 8949  8  6 65 21

<- command completes ->

 0  0   9384 438452 291748 3779040    0    0     0     0 2230 4757  8  2 90  0
 0  0   9384 438376 291748 3779040    0    0     0     0 1909 4888  6  2 93  0
 0  0   9384 435864 291748 3779040    0    0     0     0 1506 3060  5  1 94  0

<- audio pauses ->

 1  0   9384 429788 291748 3779040    0    0     0     0 1996 4318  9  2 89  0
 1  0   9384 428908 291748 3779040    0    0     0     0 2087 3535  8  1 91  0
 1  0   9384 420940 291752 3779036    0    0     0    24 1756 3371  8  1 91  1

<-audio resumes ->

 1  0   9384 420272 291752 3779040    0    0     0    36 1975 5123  8  1 90  1



> Does it happen with all docker base images?
Yes.

> Does it happen in another desktop environment?
Have not tested, I will try to test this later.


Also to note, this is also impacted by virtual machines. If I start a VM or stop a VM, I experience the same 'pause' in audio.

Comment 6 Daniel Walsh 2014-06-23 13:42:26 UTC
Then that would seem to be kernel related.

Comment 7 Jeff McCormick 2014-11-18 17:56:53 UTC
this still appears to happen on RHEL 7....as of this version....

Linux espresso.crunchy.lab 3.10.0-123.9.3.el7.x86_64 #1 SMP Thu Oct 30 00:16:40 EDT 2014 x86_64 x86_64 x86_64 GNU/Linux

Comment 8 Lokesh Mandvekar 2015-01-31 22:39:55 UTC
doesn't seem to occur on rawhide either with flash (spotify web app) or html5 (youtube)

$ uname -rv
3.19.0-0.rc6.git2.1.fc22.x86_64 #1 SMP Wed Jan 28 17:30:04 UTC 2015

$ rpm -q docker-io
docker-io-1.4.1-15.gitd400ac7.fc22.x86_64


related upstream: https://github.com/docker/docker/issues/8279

Comment 9 Fedora Kernel Team 2015-02-24 16:21:52 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.18.7-100.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.

Comment 10 Fedora Kernel Team 2015-04-28 18:23:00 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.